Bug 20847

Summary: Add main address, phone, and mobile fields to the Batch patron modification tool
Product: Koha Reporter: Kelly McElligott <kelly>
Component: PatronsAssignee: David Roberts <david.roberts>
Status: RESOLVED FIXED QA Contact: Testopia <testopia>
Severity: enhancement    
Priority: P5 - low CC: daniel.jones, david.roberts, gmcharlt, jonathan.druart, joy, katrin.fischer, kyle.m.hall, liz, margaret, marjorie.barry-vila, sbcornell, taneyhills
Version: master   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19793
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
With this enhancement the fields of the main address, telephone and mobile of patrons can be changed using the batch patron modification tool.
Version(s) released in:
20.05.00
Attachments: Bug 20847 - Add more fields to the Batch Patron Modification tool
Bug 20847 - Add more fields to the Batch Patron Modification tool
Bug 20847: Add more fields to the Batch Patron Modification tool

Description Kelly McElligott 2018-05-31 16:00:02 UTC
A library would like the ability to batch modify other fields in a patron record including phone number and address. When a family of multiple accounts with same information needs a change made, this is a very time consuming process.
Comment 1 Liz Rea 2018-06-07 02:45:05 UTC
Awesome example of a use case for this. A+!

Let's do it. :)
Comment 2 Taneyhills Library 2018-06-20 17:27:18 UTC
Being able to quickly modify phone number, email address, physical address, expiration date, and status from "new" to "renew" would greatly improve our work flow at the front desk. Currently we have to go to each account individually to edit these fields, which increases the chance of mistakes or of someone's account getting overlooked.

Honestly, I would love to see a head to toe streamlining of family accounts. (Please see my comments on item renewals ( https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=20848 ).

We are a small library so we have a six item limit on library cards. Families who come in with many children and many cards are challenging for our front desk staff. The families think of themselves as a single unit, so they want to renew ALL of their items or to know quickly what books are checked out on everyone's cards. But we have to go to each account individually to do these things, which takes time and leads to mistakes.

Paying fines on family accounts, for example, is problematic because we have to go to each account for the individual amounts owed, then total them up on paper, then remember to go to each account after payment to clear the fines.

Some of our patrons talk about other libraries they have been to that issue ONE card to a family, and everyone in the family uses that single account. We have considered this, but have reasons for not wanting to adopt that format at our library (mainly how it would affect circulation stats). But streamlining family accounts in KOHA, and linking family members so that some of these tasks I've mentioned are one-click, would be an absolute godsend.
Comment 3 Sarah Cornell 2018-10-09 14:47:27 UTC
I have another use case.  

We would like to batch modify the address and address2 fields because we need to change entire classes of students from one school's notation method to another.  For example:  an elementary school notes a student's teacher and grade number in the address and address 2 field, but the middle school uses graduation year in these fields. As it is, they will be editing 100+ records by hand.
Comment 4 David Roberts 2020-01-21 14:54:18 UTC
The primary email address can now be edited after Bug 19793 has been pushed.
Comment 5 David Roberts 2020-01-24 02:19:49 UTC
Created attachment 97853 [details] [review]
Bug 20847 - Add more fields to the Batch Patron Modification tool

This patch adds streetnumber, address, address2, phone and mobile to the
Batch Patron Modify form, also moves Primary email to a more logical
place on the page

To test:

1) Install patch
2) Open Batch Patron Modification tool, and input a borrowernumber to
edit
3) Add some data into the streetnumber, address, address2, phone and
mobile fields and click Save
4) These fields in the user record should now contain your data
5) Test that running the tool again with the option to delete the data
clears the fields correctly
6) Repeat steps 1-5 with a file of user borrowernumbers
Comment 6 David Roberts 2020-01-24 02:22:12 UTC
I've added the capability to edit the streetnumber, address, address2, phone and mobile fields to the Batch Patron Modify form. I've also moved the Primary email address field to a more logical place on the page (I don't know why I put it in such a random place originally!)
Comment 7 ByWater Sandboxes 2020-01-24 15:46:31 UTC
Created attachment 97890 [details] [review]
Bug 20847 - Add more fields to the Batch Patron Modification tool

This patch adds streetnumber, address, address2, phone and mobile to the
Batch Patron Modify form, also moves Primary email to a more logical
place on the page

To test:

1) Install patch
2) Open Batch Patron Modification tool, and input a borrowernumber to
edit
3) Add some data into the streetnumber, address, address2, phone and
mobile fields and click Save
4) These fields in the user record should now contain your data
5) Test that running the tool again with the option to delete the data
clears the fields correctly
6) Repeat steps 1-5 with a file of user borrowernumbers

Signed-off-by: Daniel J <daniel.jones@cheshiresharedservices.gov.uk>
Comment 8 Jonathan Druart 2020-01-28 12:23:10 UTC
Created attachment 98022 [details] [review]
Bug 20847: Add more fields to the Batch Patron Modification tool

This patch adds streetnumber, address, address2, phone and mobile to the
Batch Patron Modify form, also moves Primary email to a more logical
place on the page

To test:

1) Install patch
2) Open Batch Patron Modification tool, and input a borrowernumber to
edit
3) Add some data into the streetnumber, address, address2, phone and
mobile fields and click Save
4) These fields in the user record should now contain your data
5) Test that running the tool again with the option to delete the data
clears the fields correctly
6) Repeat steps 1-5 with a file of user borrowernumbers

Signed-off-by: Daniel J <daniel.jones@cheshiresharedservices.gov.uk>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: replace tab with 4 spaces.
Comment 9 Jonathan Druart 2020-01-28 12:24:07 UTC
I amended the patch to pass the QA script


 FAIL   tools/modborrowers.pl
   FAIL   forbidden patterns
                forbidden pattern: tab char (line 211)
                forbidden pattern: tab char (line 213)
                forbidden pattern: tab char (line 216)
                forbidden pattern: tab char (line 217)
                forbidden pattern: tab char (line 221)


Processing additional checks

        * Commit title does not start with 'Bug XXXXX: ' - 513e8dd09b


David, you should edit your editor's preferences to make it uses spaces instead of tabulations.
Comment 10 Martin Renvoize 2020-01-29 09:10:12 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 11 Joy Nelson 2020-02-10 22:43:09 UTC
Enhancement not backported to 19.11.x